Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 451583

Summary: 64Bit kernel - Seagate 330GB SCSI Drives are not detected properly on initial install, and later usage of drives randomly produces Communications loss between card and drives
Product: [Fedora] Fedora Reporter: James Collins <jamesc>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 15:50:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description James Collins 2008-06-16 01:22:21 UTC
Description of problem:

Jun 16 09:42:00 dt2 kernel: sd 6:0:2:0: [sdc] Attempting to queue an ABORT 
message
Jun 16 09:42:00 dt2 kernel: CDB: 0x35 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0
Jun 16 09:42:00 dt2 kernel: sd 6:0:2:0: [sdc] Command already completed
Jun 16 09:42:00 dt2 kernel: aic7xxx_abort returns 0x2002
Jun 16 09:42:10 dt2 kernel: sd 6:0:2:0: [sdc] Attempting to queue an ABORT 
message
Jun 16 09:42:10 dt2 kernel: CDB: 0x0 0x0 0x0 0x0 0x0 0x0
Jun 16 09:42:10 dt2 kernel: sd 6:0:2:0: [sdc] Command already completed
Jun 16 09:42:10 dt2 kernel: aic7xxx_abort returns 0x2002
Jun 16 09:42:10 dt2 kernel: sd 6:0:1:0: [sdb] Attempting to queue an ABORT 
message  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 James Collins 2008-06-17 06:53:13 UTC
This problem has appeared 2 days running. It seems to be worst during periods 
of high load. 

Comment 2 James Collins 2008-06-20 11:07:55 UTC
kernel-2.6.25.6-55.fc9.x86_64 currently in use. Now getting below error 
messages. System load at only 25%. Currently locking machine up about twice a 
day now.

Jun 20 20:18:37 dt2 kernel: ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 
action 0x2 frozen
Jun 20 20:18:37 dt2 kernel: ata3.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag
 0
Jun 20 20:18:37 dt2 kernel:          cdb 00 00 00 00 00 00 00 00  00 00 00 00 00
 00 00 00
Jun 20 20:18:37 dt2 kernel:          res 40/00:03:00:00:00/00:00:00:00:00/a0 
Emask 0x4 (timeout)
Jun 20 20:18:37 dt2 kernel: ata3.00: status: { DRDY }
Jun 20 20:18:37 dt2 kernel: ata3: hard resetting link
Jun 20 20:18:37 dt2 kernel: ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 
300)

Comment 3 Dave Jones 2008-06-30 19:42:58 UTC
ok, these are two separate issues (in two different drivers).  The first being
in the aic7xxx driver, and the latter in one of the ata drivers.  What chipset
is this?  (lspci output will tell you)

Comment 4 Bug Zapper 2009-06-10 01:38:36 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:50:57 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.